Dev.to

List Dev.to events

List Dev.to challenges, live streams and other events.

GET/v1/dev-to/events
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
typestringquery

Only events of this type. Omit for all events.

one of: challenge, live_stream, takeover, other

Response fields
25

Endpoint-specific response payload.

Events, as Dev.to lists them (all in one response).

dataevents[]id
integer

Numeric event id.

dataevents[]title
string

Event title.

dataevents[]description
stringnullable

Short description.

dataevents[]type
string

Event type: `challenge`, `live_stream`, `takeover` or `other`.

dataevents[]slug
stringnullable

Event slug.

dataevents[]variationSlug
stringnullable

Slug of this occurrence of the event.

dataevents[]startsAt
stringnullable

When the event starts.

dataevents[]endsAt
stringnullable

When the event ends.

dataevents[]broadcastEndedAt
stringnullable

When the live broadcast ended, or null.

dataevents[]streamUrl
stringnullable

Embedded stream URL (Twitch or YouTube).

dataevents[]chatUrl
stringnullable

Embedded chat URL.

dataevents[]details
stringnullable

Full event details, when the event has them.

dataevents[]coverImage
stringnullable

Cover image URL.

dataevents[]backgroundColor
stringnullable

Event colour (hex).

Tags of the event.

dataevents[]tags[]
stringoptional
dataevents[]createdAt
stringnullable

When the event was created.

dataevents[]updatedAt
stringnullable

When the event was last updated.

datatotal
integer

Number of events.

≥ 0

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/dev-to/events?type=live_stream" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Event list.